# Run tests in check section
%bcond_without check

%global goipath         github.com/chzyer/logex
Version:                1.1.10

%global common_description %{expand:
A golang log lib, supports tracking and level, wrap by standard log lib.}

%gometa

Name:    %{goname}
Release: 3%{?dist}
Summary: A golang log lib, supports tracking and level, wrap by standard log lib
License: MIT
URL:     %{gourl}
Source:  %{gosource}
Source1: https://raw.githubusercontent.com/chzyer/logex/master/LICENSE

%description
%{common_description}


%package    devel
Summary:    %{summary}
BuildArch:  noarch
 
%description devel
%{common_description}
 
This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%gosetup -q
cp %{SOURCE1} .


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Thu Mar 08 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.10-3
- Update with the new Go packaging

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.10-1
- First package for Fedora

